<head>
    <!--rss-aggregator-->
    <!--Copyright (C) 2019  NamingThingsIsHard / firefox-->

    <!--This program is free software: you can redistribute it and/or modify-->
    <!--it under the terms of the GNU General Public License as published by-->
    <!--the Free Software Foundation, either version 3 of the License, or-->
    <!--(at your option) any later version.-->

    <!--This program is distributed in the hope that it will be useful,-->
    <!--but WITHOUT ANY WARRANTY; without even the implied warranty of-->
    <!--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
    <!--GNU General Public License for more details.-->

    <!--You should have received a copy of the GNU General Public License-->
    <!--along with this program.  If not, see <http://www.gnu.org/licenses/>.-->
    <link rel="shortcut icon" type="image/png" href="/data/icon-64.png">
    <script src="../libs/js/angular.min.js"></script>
    <script src="angular/aggregator.js"></script>
    <script src="angular/components/itemDetail.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="../libs/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
          crossorigin="anonymous">

    <!-- Optional theme -->
    <link rel="stylesheet" href="../libs/css/bootstrap-theme.min.css"
          integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp"
          crossorigin="anonymous">
    <link rel="stylesheet" href="css/aggregator.css">
    <title>Rss Aggregator</title>
</head>
<body ng-app="aggregatorApp">
<div class="aggregator-controller"
     ng-controller="AggregatorController as aggregator">
    <form class="navbar-form navbar-left">
        <div class="form-group">
            <input
                type="text"
                class="form-control"
                placeholder="Search"
                ng-model="aggregator.searchTerm"
            >
        </div>
        <div class="checkbox">
            <label>
                <input
                    type="checkbox" id="reverseSort"
                    ng-checked="aggregator.newestToOldest"
                    ng-model="aggregator.newestToOldest"
                >
                Newest to oldest
            </label>
        </div>
        <div class="checkbox" ng-hide="aggregator.clickToContainPort.error">
            <label>
                <input
                    type="checkbox" id="openInRandomContainer"
                    ng-checked="!aggregator.clickToContainPort.error && aggregator.openInRandomContainer"
                    ng-model="aggregator.openInRandomContainer"
                >
                Open in random container
            </label>
        </div>

        <div class="form-group show-options">

            <div class="radio">
                <label>
                    <input type="radio" name="optionsRadios" id="optShowAll"
                           value="both"
                           ng-model="aggregator.showOption"
                    >
                    Show all
                </label>
            </div>
            <div class="radio">
                <label>
                    <input type="radio" name="optionsRadios"
                           id="optShowUnreadOnly"
                           value="unreadOnly"
                           ng-model="aggregator.showOption"
                    >
                    Show unread only
                </label>
            </div>
            <div class="radio">
                <label>
                    <input type="radio" name="optionsRadios"
                           id="optShowReadOnly"
                           value="readOnly"
                           ng-model="aggregator.showOption"
                    >
                    Show read only
                </label>
            </div>
            <div class="radio">
                <label>
                    <input type="radio" name="optionsRadios"
                           id="optShowStarredOnly"
                           value="starredOnly"
                           ng-model="aggregator.showOption"
                    >
                    Show starred only
                </label>
            </div>
        </div>
    </form>
    <ul class="nav nav-pills">
        <li role="presentation"
            ng-repeat="host in aggregator.hosts"
            ng-class="{active: host == aggregator.selectedHost}"
            ng-click="aggregator.selectedHost = host"
        >
            <a href="#">{{host}}</a>
        </li>
    </ul>
    <div class="main">
        <item-detail
            ng-repeat="item in aggregator.items
                        | filter:{title:aggregator.searchTerm}
                        | filter:aggregator.tabFilter
                        | filter:aggregator.hideItemFilter
                        | orderBy: 'datetime' : aggregator.newestToOldest
                        track by item.url"
            item="item"
            on-toggle-read="aggregator.toggleRead(item, read)"
            on-toggle-starred="aggregator.toggleStarred(item, starred)"
            on-item-clicked="aggregator.openItemLink(item)"
            data-hide="{{item.read && aggregator.hideRead}}"
            ng-class-even="'bg-info'"
            ng-class-odd="'bg-success'"
        ></item-detail>
    </div>
</div>
</body>
